Bug 470936 - yumdownloader --disableplugin=priorities still loads priorities plugin
Summary: yumdownloader --disableplugin=priorities still loads priorities plugin
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
(Show other bugs)
Version: 8
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-10 22:56 UTC by Till Maas
Modified: 2014-01-21 23:06 UTC (History)
5 users (show)

Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 17:38:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Till Maas 2008-11-10 22:56:51 UTC
Description of problem:
If I run yumdownload with --disableplugin=priorities, the plugin is still used.

Version-Release number of selected component (if applicable):
yum-utils-1.1.17-1.fc8

How reproducible:
always

Steps to Reproduce:
0. Enable the priorities plugin for yum
1.LANG=C yumdownloader --disableplugin=priorities -v --archlist=x86_64 aircrack-ng

  
Actual results:
Loaded plugins: priorities, protectbase

Expected results:
Should not load the priorities plugin

Additional info:
--noplugins seems to work

Comment 1 James Antill 2008-11-11 14:59:01 UTC
 This is fixed upstream in yum commit 674dfc28da754fe3cbc470067fe496e3240cbca8, it'll be fixed in yum-3.2.21.
 Not sure if that'll ever get into Fedora 8 though.

Comment 2 Bug Zapper 2008-11-26 11:17:51 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Jon Stanley 2008-11-26 17:38:05 UTC
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Comment 4 Fedora Update System 2009-01-12 19:20:16 UTC
yum-3.2.21-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yum-3.2.21-2.fc10

Comment 5 Fedora Update System 2009-01-12 19:28:09 UTC
yum-3.2.21-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/yum-3.2.21-2.fc9

Comment 6 Fedora Update System 2009-02-05 02:18:29 UTC
yum-3.2.21-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-02-05 02:25:47 UTC
yum-3.2.21-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.